CVE-2019-5188

Priority
Description
A code execution vulnerability exists in the directory rehashing
functionality of E2fsprogs e2fsck 1.45.4. A specially crafted ext4
directory can cause an out-of-bounds write on the stack, resulting in code
execution. An attacker can corrupt a partition to trigger this
vulnerability.
Assigned-to
leosilva
Notes
Package
Upstream:released (1.45.5-1)
Ubuntu 12.04 ESM (Precise Pangolin):released (1.42-1ubuntu2.5)
Ubuntu 14.04 ESM (Trusty Tahr):released (1.42.9-3ubuntu1.3+esm2)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.42.13-1ubuntu1.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.44.1-1ubuntu1.3)
Ubuntu 19.10 (Eoan Ermine):released (1.45.3-4ubuntu2.1)
Ubuntu 20.04 (Focal Fossa):released (1.45.3-4ubuntu3)
Patches:
Upstream:https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git/commit/?id=8dd73c149f418238f19791f9d666089ef9734dff
Upstream:https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git/commit/?id=71ba13755337e19c9a826dfc874562a36e1b24d3
More Information

Updated: 2020-01-29 20:05:19 UTC (commit 768ceb2fdee6790d707d0f681e1b54916744af1e)